package com.sourcefellows.sideeffects;

public class Main {

    private String _name;

    void printShip(Ship ship) {
        printBanner();
        printShipDetails(ship);
    }

    private void printShipDetails(Ship ship) {
        System.out.println("name:" + ship.getName());
        System.out.println("type:" + ship.getType());
        System.out.println("color:" + ship.getColor());
    }

    private void printBanner() {
    }

    public void deepDecision(int a) {

        if (a > 1) {
            System.out.println("A");
            if (a > 2) {
                System.out.println("B");
                if (a > 3) {
                    System.out.println("B");
                    if (a > 4) {
                        System.out.println("C");
                    } else if (a > 5) {
                        System.out.println("C1");
                    }
                }
                if (a > 4) {
                    System.out.println("C");
                } else {
                    System.out.println("D");
                }
            }
        }

    }

}
